Bug 324305 - Merging contacts whilst in "group by account" mode causes them to disappear
Summary: Merging contacts whilst in "group by account" mode causes them to disappear
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal
Target Milestone: 0.7-beta
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-31 03:16 UTC by David Edmundson
Modified: 2013-09-12 14:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:
kde: kpeople+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2013-08-31 03:16:29 UTC
Merging contacts whilst in "group by account" mode causes them to disappear
Comment 1 David Edmundson 2013-09-01 13:31:41 UTC
Edit: All metacontacts are invisible in "group by account" mode as there is no single AccountPtr to group by...
Comment 2 David Edmundson 2013-09-12 14:03:53 UTC
Git commit 7d24a40edcbe7bc8efb12e212d4fa7164652450a by David Edmundson.
Committed on 12/09/2013 at 13:42.
Pushed by davidedmundson into branch 'master'.

Toggle between no grouping and group by groups when in kpeople mode

Also this fixes expand when filtering

REVIEW: 112683
Related: bug 324306

M  +22   -5    contact-list-widget.cpp
M  +4    -0    contact-list-widget.h

http://commits.kde.org/telepathy-contact-list/7d24a40edcbe7bc8efb12e212d4fa7164652450a